mozilla
Ihre Suchergebnisse

    Browser Kompatibilität

    Unterstützte Browser

    Persona wird mit den folgenden Browsern entwickelt und getestet. Dank Personas plattformübergreifender JavaScript Bibliothek benötigen Nutzer keine Add-Ons, um Persona zu nutzen.

    Desktop Browser
    Internet Explorer 8.0*, 9.0, 10.0** (siehe Kompatibilitätsmodus)
    Firefox Aktuelle Version, Beta, Aurora, Nightly, und Extended Support Versionen, vorige stabile Version
    Chrome Letzte stabile Version
    Safari Letzte stabile Version
    Opera Letzte stabile Version
    iOS Browser
    Mobile Safari iOS 5.x — 6.x
    Android Browser
    Standardbrowser 2.2 — 4.x
    Firefox Aktuelle Version, Beta, Aurora, Nightly, und Extended Support Versionen, vorige stabile Version
    Chrome Letzte stabile Version

    *: für Windows XP. : für Windows Vista und Windows 7. **Windows 8.  : As time allows.

    Nicht unterstützte Browser

    • Internet Explorer 6.0 and 7.0 werden nicht unterstützt. Nutzer werden aufgefordert, ihre Browser zu aktualisieren. Siehe auch Kompatibilitätsmodus.
    • Google Chrome Frame wird nicht unterstützt und wird nicht funktionieren. Unterstüzung kann folgen (Issue #796).
    • Drittanbieter-Bowser in iOS werden nicht unterstützt und werden nicht funktionieren. Unterstüzung kann folgen (Issue #2034).

    Internet Explorer Kompatibilitätsmodus

    Ab Version 8.0 unterstützt der Internet Explorer eine Funktion namens Kompatibilitätsmodus, die zur Emulation älterer Internet Explorer Versionen beim Rendern einer Seite dient. Die Funktion kann über drei verschiedene Wege kontrolliert werden:

    1. Als lokale Einstellung im Browser
    2. Basierend auf der Präsenz und dem Inhalt der DOCTYPE Deklaration auf der Seite.
    3. Als "X-UA-Compatible" header anstatt eines HTTP headers oder als <meta> tag auf einer Seite. Diese Mehtode überschreibt die beiden ersten.

    Weil nur Internet Explorer 8.0 und neuer von Persona unterstützt werden, werden Internet Explorer, die eine ältere Version emulieren, nicht mit Persona funktionieren. Dies ist typisch für einen der folgenden Gründe:

    • Ihre Seite benutzt "X-UA-Compatible", um dem Browser zu sagen, er solle eine Internet Explorer Version vor 8.0 emulieren.
    • Ihre Seite enthält kein DOCTYPE, hat kein DOCTYPE auf der ersten Linie der Seite, Ihre Seite funktioniert nicht mit dem Browser oder Ihre Seite setzt "X-UA-Compatible" nicht auf Internet Explorer Version 8.0 oder höher.
    • Der Internet Explorer wurde so konfiguriert, dass er eine ältere Version emuliert und Ihre Seite überschreibt diese Einstellung nicht indem sie "X-UA-Compatible" zu Internet Explorer 8.0 oder höher setzt.

    Für weitere Informationen siehe "Understanding Compatibility Modes in Internet Explorer 8" und "IE8 and IE9 Complications".

    Andere Browser

    Obwohl nicht explizit unterstützt, jeder Browser der window.postMessage() und localStorage unterstützt sollte funktionieren. Diese APIs werden seit März 2010 von allen bekannten Browsern untertützt.

    Bekannte Fehler

    • Browser müssen Drittanbiertecookies akzeptieren (Issue #1352).
    • Android 2.x Nutzer, die keinen Standard Browser gewählt haben, werden sich vermutlich nicht anmelden können (Issue #1854).

    Schlagwörter des Dokuments und Mitwirkende

    Mitwirkende an dieser Seite: moritzmeier
    Zuletzt aktualisiert von: moritzmeier,